Skip to main content
GET
/
liveai
/
rooms
/
{session_id}
Get hosted session
curl --request GET \
  --url https://lemonslice.com/api/liveai/rooms/{session_id} \
  --header 'X-API-Key: <api-key>'
{
  "session_status": "QUEUED"
}

Documentation Index

Fetch the complete documentation index at: https://lemonslice.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Your LemonSlice API token.

Path Parameters

session_id
string
required

The session identifier returned upon creation.

Response

Returns basic status of session. When completed, includes additional metadata such as cost, timestamps, end reason, and conversation messages.

session_status
enum<string>
required

Current status of the session:

  • QUEUED: session is waiting for a GPU container. Typically completes in seconds when warm containers are available. If all warm containers are in use, a cold start is required which may take up to 2.5 minutes.
  • ACTIVE: agent is live.
  • COMPLETED: session ended successfully.
  • TIMED_OUT: GPU container timed out.
  • FAILED: session ended with an error.
Available options:
QUEUED,
ACTIVE,
COMPLETED,
TIMED_OUT,
FAILED
cost
number

Number of credits used for this session. Only returned when session_status is COMPLETED.

llm_ended_reason
string

Reason the LLM session ended. Only returned when session_status is COMPLETED.

llm_started_at
integer

Unix timestamp when the LLM session started. Only returned when session_status is COMPLETED.

llm_ended_at
integer

Unix timestamp when the LLM session ended. Only returned when session_status is COMPLETED.

messages
object[]

Array of messages exchanged during the session. Only returned when session_status is COMPLETED.